## corosync 3.1.6

=== debian/changelog ===
corosync (3.1.6-1ubuntu1.1) jammy-security; urgency=medium

  * SECURITY UPDATE: stack buffer overflow
    - debian/patches/CVE-2025-30472.patch: check size of orf_token msg in
      exec/totemsrp.c.
    - CVE-2025-30472

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 27 Mar 2025 14:22:57 -0400

corosync (3.1.6-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946852). Remaining changes:
    - d/control: corosync binary depends on libqb-dev (LP #1677684).
    - d/p/Make-the-example-config-valid.patch: comment out the
      node name in config file. With this, we will keep the same
      behavior as we have in Bionic which is using the output of
      "uname -n" as the node name (LP #1874719).
    - d/p/lp1918735/0001-allow_knet_handle_fallback_default_yes.patch:
      Retry knet_handle_new without privileged flag (LP #1918735).
    - d/t/quorumtool: search for localhost instead of node1.
    - d/t/control: add allow-stderr restriction.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Wed, 12 Jan 2022 11:58:06 +0100

corosync (3.1.6-1) unstable; urgency=medium

  * [1c6e48f] Make use of the execute_before_* feature of dh 12.8+
  * [e6b31ef] New upstream release (3.1.6)
  * [81eed39] Refresh our patches

 -- Ferenc Wágner <wferi@debian.org>  Mon, 22 Nov 2021 19:40:15 +0100

corosync (3.1.2-2ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/control: add allow-stderr restriction
    - d/control: corosync binary depends on libqb-dev
      (LP #1677684)
    - Retry knet_handle_new without privileged flag (LP #1918735)
      + d/p/lp1918735/0001-allow_knet_handle_fallback_default_yes.patch
    - d/p/Make-the-example-config-valid.patch: comment out the node name in
      config file
      + With this, we will keep the same behavior as we have in Bionic which is
        using the output of "uname -n" as the node name (LP #1874719).
    - d/t/quorumtool: search for localhost instead of node1
  * Dropped:
    - d/p/lp1911904-Don-t-lock-all-current-and-future-memory-if-can-t-in.patch:
      + Don't mlockall() if setrlimit() fails (LP #1911904)
      [Applied by upstream in version 3.1.1]
    - Retry knet_handle_new without privileged flag (LP #1918735)
      + d/p/lp1918735/0001-try-unprivileged-knet-handle-new.patch
      [Applied by upstream in version 3.1.1]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 23 Jul 2021 16:27:47 -0300

corosync (3.1.0-2ubuntu4) impish; urgency=medium

  * d/p/Make-the-example-config-valid.patch: comment out the node name in
    config file (LP: #1874719). With this, we will keep the same behavior as we
    have in Bionic which is using the output of "uname -n" as the node name.
  * d/t/quorumtool: search for localhost instead of node1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 17 Jun 2021 10:38:07 -0300
