=== debian/control ===
Source: corosync
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders:
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Ferenc Wágner <wferi@debian.org>,
Standards-Version: 4.6.0
Build-Depends:
 debhelper-compat (= 13),
 dctrl-tools,
# maybe too strict, but the buster dwz failed:
 dwz (>= 0.13-5),
 groff,
 libdbus-1-dev,
 libknet-dev,
 libnozzle-dev,
# protect backports from silent log loss (#898266):
 libqb-dev (>= 1.0.3),
 libreadline-dev,
 libsnmp-dev,
# libstatgrab is Linux-only until #823899 and #823900 gets fixed:
 libstatgrab-dev [linux-any],
 libsystemd-dev [linux-any],
 pkg-config,
 zlib1g-dev
Build-Depends-Indep:
 doxygen,
 graphviz,
Rules-Requires-Root: no
Homepage: https://corosync.github.io/corosync/
Vcs-Git: https://salsa.debian.org/ha-team/corosync.git
Vcs-Browser: https://salsa.debian.org/ha-team/corosync
X-Common-Description: The Corosync Cluster Engine is a Group Communication
 System with additional features for implementing high availability within
 applications. The project provides four C Application Programming Interface
 features:
 .
  * A closed process group communication model with virtual synchrony
    guarantees for creating replicated state machines.
  * A simple availability manager that restarts the application process
    when it has failed.
  * A configuration and statistics in-memory database that provide the
    ability to set, retrieve, and receive change notifications of
    information.
  * A quorum system that notifies applications when quorum is achieved
    or lost.

Package: corosync
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends: ${shlibs:Depends},
 ${misc:Depends},
 lsb-base (>= 3.0-6),
 adduser,
 xsltproc,
# corosync-blackbox: qb-blackbox dependency (LP: #1677684)
 libqb-dev
Description: cluster engine daemon and utilities
 ${S:X-Common-Description}
 .
 This package contains the Corosync daemon and some administration tools.

Package: corosync-notifyd
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends: ${shlibs:Depends},
 ${misc:Depends},
 corosync,
 lsb-base (>= 3.0-6)
Recommends: dbus
Description: cluster engine notification daemon
 ${S:X-Common-Description}
 .
 This package contains the DBus/SNMP notification daemon for Corosync events.

Package: corosync-vqsim
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends: ${shlibs:Depends},
 ${misc:Depends},
Description: cluster engine votequorum simulator
 ${S:X-Common-Description}
 .
 This package contains the Corosync votequorum simulator.  It
 can simulate multiple nodes, network splits and a basic quorum device.

Package: corosync-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: w3m | www-browser
Description: cluster engine HTML documentation
 ${S:X-Common-Description}
 .
 This package contains the Corosync HTML manuals and the API documentation
 generated by Doxygen.

Package: libcfg7
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine CFG library
 ${S:X-Common-Description}
 .
 This package contains the CFG library.

Package: libcmap4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine CMAP library
 ${S:X-Common-Description}
 .
 This package contains the Configuration Map library.

Package: libcorosync-common4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine common library
 ${S:X-Common-Description}
 .
 This package contains the Corosync common library.

Package: libcpg4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine CPG library
 ${S:X-Common-Description}
 .
 This package contains the Closed Process Group library.

Package: libquorum5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine Quorum library
 ${S:X-Common-Description}
 .
 This package contains the Quorum library.

Package: libsam4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine SAM library
 ${S:X-Common-Description}
 .
 This package contains the Simple Availability Manager library.

Package: libvotequorum8
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: cluster engine Votequorum library
 ${S:X-Common-Description}
 .
 This package contains the Votequorum library.

Package: libcfg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libcfg7 (= ${binary:Version})
Description: cluster engine CFG library development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the CFG library.

Package: libcmap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libcmap4 (= ${binary:Version})
Description: cluster engine CMAP library development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the Configuration Map library.

Package: libcorosync-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libqb-dev,
 libcorosync-common4 (= ${binary:Version})
Description: cluster engine common development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the Corosync libraries.

Package: libcpg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libcpg4 (= ${binary:Version})
Description: cluster engine CPG library development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the Closed Process Group library.

Package: libquorum-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libquorum5 (= ${binary:Version})
Description: cluster engine Quorum library development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the Quorum library.

Package: libsam-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libsam4 (= ${binary:Version})
Description: cluster engine SAM library development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the Simple Availability Manager library.

Package: libvotequorum-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${header:Depends},
 libvotequorum8 (= ${binary:Version})
Description: cluster engine Votequorum library development
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications or libraries that use the Votequorum library.
