## corosync 3.1.7

=== debian/changelog ===
corosync (3.1.7-1+deb12u1) bookworm; urgency=medium

  * CVE-2025-30472 (Closes: #1102006)

 -- Moritz Mühlenhoff <jmm@debian.org>  Sun, 18 May 2025 21:16:40 +0200

corosync (3.1.7-1) unstable; urgency=medium

  * [f3d69c9] New upstream release (3.1.7)
  * [7ca438c] Delete upstream patch, refresh the rest
  * [36863f4] Update Standards-Version to 4.6.2 (no changes required)
  * [02c7690] Update copyright of the packaging
  * [ae14a7c] Adapt Lintian overrides to new message format
  * [7732c89] The initscript-dir variable has long fallen out of use
  * [faafc6e] New patch: Revert "logrotate: Use copytruncate method by default"
  * [cab0938] Add logrotate autopkgtest

 -- Ferenc Wágner <wferi@debian.org>  Sun, 15 Jan 2023 15:00:42 +0100

corosync (3.1.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * [290ca16] Remove 2 obsolete maintscript entries in 2 files.
    Changes-By: lintian-brush
  * [8d89318] Update renamed lintian tag names in lintian overrides.
    Changes-By: lintian-brush
    Fixes: lintian: renamed-tag
    See-also: https://lintian.debian.org/tags/renamed-tag.html

  [ Ferenc Wágner ]
  * [f8c32e7] New patch: Remove bashism from configure script (Closes: #998785)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 06 Mar 2022 20:07:05 +0100
