=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: corosync
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
  Ferenc Wágner <wferi@debian.org>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
  dctrl-tools,
@@ -55,9 +54,7 @@
  ${misc:Depends},
  lsb-base (>= 3.0-6),
  adduser,
- xsltproc,
-# corosync-blackbox: qb-blackbox dependency (LP: #1677684)
- libqb-dev
+ xsltproc
 Description: cluster engine daemon and utilities
  ${S:X-Common-Description}
  .
