=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,6 @@
 
 ifneq ($(wildcard /usr/include/systemd/sd-daemon.h),)
 enable-systemd=--enable-systemd
-initscript-dir=usr/share/corosync
-else
-initscript-dir=etc/init.d
 endif
 
 %:
