=== debian/tests/control ===
Depends: @
Restrictions: needs-root, isolation-container
Tests: cfgtool quorumtool

Depends: @, logrotate
Restrictions: allow-stderr, needs-root, isolation-container
Tests: logrotate
