## corosync 3.1.8

=== debian/changelog ===
corosync (3.1.8-3ubuntu2) plucky; urgency=medium

  * SECURITY UPDATE: stack buffer overflow
    - debian/patches/CVE-2025-30472.patch: check size of orf_token msg in
      exec/totemsrp.c.
    - CVE-2025-30472

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 27 Mar 2025 14:19:58 -0400

corosync (3.1.8-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085225). Remaining changes:
    - d/t/quorumtool: search for localhost instead of node1
    - d/p/Make-the-example-config-valid.patch: comment out the node name
      in config file. With this, we will keep the same behavior as we
      have in Bionic which is using the output of "uname -n" as the node
      name (LP #1874719).
    - d/p/lp1918735/0001-allow_knet_handle_fallback_default_yes.patch:
      Retry knet_handle_new without privileged flag (LP #1918735).

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 19 Nov 2024 19:26:25 -0300

corosync (3.1.8-3) unstable; urgency=medium

  * [192c744] Revert "Revert "No need to override the default
    /usr/lib/systemd/system systemd directory anymore""
    This reverts commit a836090ec1d812f6a73d13aa14f752cc5fbf5ffa.
    Now dh_installsystemd handles service files under /usr/lib correctly,
    so let DEP17 (Improve situation around aliasing effects from /usr-merge)
    proceed by moving our service files to /usr/lib/systemd/system.
    (Closes: #1073683)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 20 Jul 2024 19:32:52 +0200

corosync (3.1.8-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064397). Remaining changes:
    - d/t/quorumtool: search for localhost instead of node1
    - d/p/Make-the-example-config-valid.patch: comment out the node name
      in config file. With this, we will keep the same behavior as we
      have in Bionic which is using the output of "uname -n" as the node
      name (LP #1874719).
    - d/p/lp1918735/0001-allow_knet_handle_fallback_default_yes.patch:
      Retry knet_handle_new without privileged flag (LP #1918735).
  * Dropped changes:
    - d/control: corosync recommends libqb-tools (LP #1677684).
      corosync-blackbox relies on libqb-tools.
      [ Fixed in 3.1.8-2 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 28 Jun 2024 12:10:31 -0300

corosync (3.1.8-2) unstable; urgency=medium

  * [c241cd2] corosync-blackbox uses qb-blackbox, so pull in libqb-tools

 -- Ferenc Wágner <wferi@debian.org>  Sun, 26 May 2024 13:22:53 +0200

corosync (3.1.8-1) unstable; urgency=medium

  * [974f5df] New upstream release (3.1.8)
  * [09f4624] Refresh our patches
  * [c5c5cb7] Update Standards-Version to 4.7.0 (no changes required)
  * [e586635] Drop obsolete lsb-base dependencies.
    The lsb-base package is used by the init scripts, which are only run
    by sysv-rc, which has already depended on lsb-base since bullseye.
  * [a1ad0ae] pkgconf superseded pkg-config
  * [06322b1] New patch: Move corosync-notifyd policy file into
    /usr/share/dbus-1/system.d
  * [7c73d96] Ship the relocated corosync-notifyd policy file and remove the old
    conffile
  * [f8b234b] Update copyright years, fix copy&paste error

 -- Ferenc Wágner <wferi@debian.org>  Sun, 26 May 2024 12:28:18 +0200

corosync (3.1.7-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:56:22 +0000

corosync (3.1.7-1ubuntu2) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:53:08 +0100

corosync (3.1.7-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993393). Remaining changes:
    - d/t/quorumtool: search for localhost instead of node1
    - d/p/Make-the-example-config-valid.patch: comment out the node name
      in config file. With this, we will keep the same behavior as we
      have in Bionic which is using the output of "uname -n" as the node
      name (LP #1874719).
    - d/p/lp1918735/0001-allow_knet_handle_fallback_default_yes.patch:
      Retry knet_handle_new without privileged flag (LP #1918735).
    - d/control: corosync binary depends on libqb-dev
      (LP #1677684)
  * Dropped
    - d/t/control: add allow-stderr restriction
      [Not needed anymore]
    - d/control: corosync binary depends on libqb-dev
      (LP #1677684)
      [The qb-blackbox was moved from libqb-dev to libqb-tools]
  * Added:
    - d/control: corosync recommends libqb-tools (LP #1677684).
      corosync-blackbox relies on libqb-tools.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 25 Jan 2023 17:08:20 -0300

corosync (3.1.6-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/quorumtool: search for localhost instead of node1
    - d/t/control: add allow-stderr restriction
    - d/p/Make-the-example-config-valid.patch: comment out the node name
      in config file. With this, we will keep the same behavior as we
      have in Bionic which is using the output of "uname -n" as the node
      name (LP #1874719).
    - d/p/lp1918735/0001-allow_knet_handle_fallback_default_yes.patch:
      Retry knet_handle_new without privileged flag (LP #1918735).
    - d/control: corosync binary depends on libqb-dev
      (LP #1677684)

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 19 Jul 2022 06:16:37 -0300
