=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: corosync
 Section: admin
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
  Ferenc Wágner <wferi@debian.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  dctrl-tools,
@@ -22,7 +23,7 @@
 # libstatgrab is Linux-only until #823899 and #823900 gets fixed:
  libstatgrab-dev [linux-any],
  libsystemd-dev [linux-any],
- pkg-config,
+ pkgconf,
  zlib1g-dev
 Build-Depends-Indep:
  doxygen,
@@ -52,8 +53,9 @@
  ${misc:Pre-Depends},
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- lsb-base (>= 3.0-6),
  adduser,
+# corosync-blackbox uses qb-blackbox:
+ libqb-tools,
  xsltproc
 Description: cluster engine daemon and utilities
  ${S:X-Common-Description}
@@ -67,7 +69,6 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  corosync,
- lsb-base (>= 3.0-6)
 Recommends: dbus
 Description: cluster engine notification daemon
  ${S:X-Common-Description}
