## corosync 3.1.9

=== debian/changelog ===
corosync (3.1.9-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110456). Remaining changes:
    - d/t/quorumtool: search for localhost instead of node1
    - d/p/Make-the-example-config-valid.patch: comment out the node name
      in config file. With this, we will keep the same behavior as we
      have in Bionic which is using the output of "uname -n" as the node
      name (LP #1874719).
    - d/p/lp1918735/0001-allow_knet_handle_fallback_default_yes.patch:
      Retry knet_handle_new without privileged flag (LP #1918735).
  * Dropped changes:
    - d/p/CVE-2025-30472.patch: check size of orf_token msg in exec/totemsrp.c
      [ Fixed in version 3.1.9-2 ]

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Wed, 25 Jun 2025 16:23:07 -0300

corosync (3.1.9-2) unstable; urgency=medium

  * [d29071e] New patch: totemsrp: Check size of orf_token msg.
    Cherry-picked security fix for CVE-2025-30472, upstream commit
    7839990f9cdf34e55435ed90109e82709032466a.
    Corosync through 3.1.9, if encryption is disabled or the attacker knows
    the encryption key, has a stack-based buffer overflow in
    orf_token_endian_convert in exec/totemsrp.c via a large UDP packet.
    Thanks to Jan Friesse (Closes: #1102006)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 21 Jun 2025 11:54:36 +0200

corosync (3.1.9-1) unstable; urgency=medium

  * [f7dc244] New upstream release (3.1.9)
  * [f1ccd93] Drop upstreamed patch, refresh the rest
  * [0683a43] Update copyright years
  * [55b8efd] Update symbols files.
    Upstream commit 8d46eb01277 added version info to several already
    exported symbols.  (It also removed a couple of names from the version
    scripts, but that part does not change the export lists since the
    respective symbols have long been removed from the libraries.)  Since
    the new versions are also the default versions when resolving
    unversioned references, applications linked against the old Corosync
    libraries will find the new versioned symbols, so this change does not
    break the ABI.
  * [7e53a49] Update Standards-Version to 4.7.2 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 02 Mar 2025 16:52:12 +0100
