## corosync 3.1.10

=== debian/changelog ===
corosync (3.1.10-1) unstable; urgency=medium

  * [dbde8b2] New upstream release (3.1.10)
  * [6ebae86] Drop backported patch, refresh the rest
  * [aa67b9e] Update Standards-Version to 4.7.3 (no changes required)
  * [185cf59] New patch: build: Use the configured --with-logdir more
    extensively
  * [d870548] Do not ship /var/log/corosync.
    Follow the upstream commit 050933cf.  Our postinst script was removed by
    d92f1d84 long ago, so it does not require the log directory anymore.
  * [7e15bf6] Do not ship /var/lib/corosync.
    Follow the upstream commit ae859515.

 -- Ferenc Wágner <wferi@debian.org>  Sat, 21 Feb 2026 17:53:23 +0100
